Package org.apache.cxf.feature

# Class FastInfosetFeature

java.lang.Object
jakarta.xml.ws.WebServiceFeature
org.apache.cxf.feature.AbstractFeature
org.apache.cxf.feature.DelegatingFeature<FastInfosetFeature.Portable>
org.apache.cxf.feature.FastInfosetFeature

All Implemented Interfaces:
  `AbstractPortableFeature`, `Feature`

public class FastInfosetFeature extends DelegatingFeature<FastInfosetFeature.Portable>

     <![CDATA[
        <jaxws:endpoint ...>
          <jaxws:features>

          </jaxws:features>
        </jaxws:endpoint>
      ]]>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `FastInfosetFeature.Portable`

- ## Field Summary

  ### Fields inherited from class org.apache.cxf.feature.DelegatingFeature

  `delegate`

  ### Fields inherited from class jakarta.xml.ws.WebServiceFeature

  `enabled`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FastInfosetFeature()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getForce()`
  `void`
  `setForce(boolean b)`

  ### Methods inherited from class org.apache.cxf.feature.DelegatingFeature

  `getDelegate, initialize, initialize, initialize, initialize, initializeProvider, setDelegate`

  ### Methods inherited from class org.apache.cxf.feature.AbstractFeature

  `doInitializeProvider, getActive, getID, isEnabled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FastInfosetFeature

    public FastInfosetFeature()

- ## Method Details

  - ### setForce

    public void setForce(boolean b)

  - ### getForce

    public boolean getForce()